Skip to content
Start here

Get CF1 Site Ramp

magic_transit.cf1_sites.ramps.get(strramp_id, RampGetParams**kwargs) -> Ramp
GET/accounts/{account_id}/magic/cf1_sites/{cf1_site_id}/ramps/{ramp_id}

Gets a specific ramp for a CF1 Site.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic WAN WriteMagic WAN ReadMagic Transit ReadMagic Transit Write
ParametersExpand Collapse
account_id: str

Identifier

maxLength32
cf1_site_id: str

Identifier

maxLength32
ramp_id: str

Identifier

maxLength32
ReturnsExpand Collapse
class Ramp:
id: str

Identifier

maxLength32
created_on: datetime
formatdate-time
modified_on: datetime
formatdate-time
name: str

A human-provided name describing the ramp that should be unique within the CF1 Site.

type: RampType

The type of network connection (ramp) linking a CF1 Site to Cloudflare’s network.

One of the following:
"gre"
"gre_interconnect"
"mpls_interconnect"
"mconn"
"ipsec"
description: Optional[str]

A human-provided description of the ramp.

gre: Optional[GRE]
managed_by: Optional[str]

URL reference to the source network resource that this ramp is managed by.

gre_interconnect: Optional[GREInterconnect]
managed_by: Optional[str]

URL reference to the source network resource that this ramp is managed by.

ipsec: Optional[IPSEC]
managed_by: Optional[str]

URL reference to the source network resource that this ramp is managed by.

mconn: Optional[Mconn]
managed_by: Optional[str]

URL reference to the source network resource that this ramp is managed by.

mpls_interconnect: Optional[MplsInterconnect]
managed_by: Optional[str]

URL reference to the source network resource that this ramp is managed by.

Get CF1 Site Ramp

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
ramp = client.magic_transit.cf1_sites.ramps.get(
    ramp_id="023e105f4ecef8ad9ca31a8372d0c353",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    cf1_site_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(ramp.id)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "created_on": "2019-12-27T18:11:19.117Z",
    "modified_on": "2019-12-27T18:11:19.117Z",
    "name": "primary_gre_ramp",
    "type": "gre",
    "description": "Primary CF GRE tunnel",
    "gre": {
      "managed_by": "managed_by"
    },
    "gre_interconnect": {
      "managed_by": "managed_by"
    },
    "ipsec": {
      "managed_by": "managed_by"
    },
    "mconn": {
      "managed_by": "managed_by"
    },
    "mpls_interconnect": {
      "managed_by": "managed_by"
    }
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "created_on": "2019-12-27T18:11:19.117Z",
    "modified_on": "2019-12-27T18:11:19.117Z",
    "name": "primary_gre_ramp",
    "type": "gre",
    "description": "Primary CF GRE tunnel",
    "gre": {
      "managed_by": "managed_by"
    },
    "gre_interconnect": {
      "managed_by": "managed_by"
    },
    "ipsec": {
      "managed_by": "managed_by"
    },
    "mconn": {
      "managed_by": "managed_by"
    },
    "mpls_interconnect": {
      "managed_by": "managed_by"
    }
  },
  "success": true
}